﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace HelloWorldModule {
    /// <summary>
    /// The Hello world module
    /// </summary>
    public sealed class HelloWorldModule : IModule {

        private readonly IRegionManager regionManager;

        /// <summary>
        /// Initializes this instance.
        /// </summary>
        public void Initialize() {
            regionManager.RegisterViewWithRegion("HeaderRegion", typeof(Views.HeaderView));
            regionManager.RegisterViewWithRegion("LeftRegion", typeof(Views.LeftView));
            regionManager.RegisterViewWithRegion("MainRegion", typeof(Views.MainView));
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="HelloWorldModule"/> class.
        /// </summary>
        /// <param name="regionManager">The region manager.</param>
        public HelloWorldModule(IRegionManager regionManager) {
            this.regionManager = regionManager;
        }


    }
}
