﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.UnityExtensions;
using System.Windows;

namespace Shell {
    public sealed class Bootstrapper : UnityBootstrapper {

        /// <summary>
        /// Creates the shell.
        /// </summary>
        /// <returns></returns>
        protected override DependencyObject CreateShell() {
            Shell shell = new Shell();
            shell.Show();
            return shell;
        }

        /// <summary>
        /// Gets the module catalog.
        /// </summary>
        /// <returns></returns>
        protected override IModuleCatalog GetModuleCatalog() {
            ModuleCatalog catalog = new ConfigurationModuleCatalog();
                //.AddModule(typeof(HelloWorldModule.HelloWorldModule));            
            return catalog;
        }

    }
}
